| Home | Libraries | People | FAQ | More

### serial_port_service

Default service implementation for a serial port.

    class serial_port_service :
      public io_service::service

##### Types

Name | Description
--- | ---
implementation_type | The type of a serial port implementation.
native_type | The native handle type.

##### Member Functions

Name | Description
--- | ---
assign | Assign an existing native handle to a serial port.
async_read_some | Start an asynchronous read.
async_write_some | Start an asynchronous write.
cancel | Cancel all asynchronous operations associated with the handle.
close | Close a serial port implementation.
construct | Construct a new serial port implementation.
destroy | Destroy a serial port implementation.
get_io_service | Get the io_service object that owns the service.
get_option | Get a serial port option.
io_service | (Deprecated: use get_io_service().) Get the io_service object that owns the service.
is_open | Determine whether the handle is open.
native | Get the native handle implementation.
open | Open a serial port.
read_some | Read some data from the stream.
send_break | Send a break sequence to the serial port.
serial_port_service | Construct a new serial port service for the specified io_service.
set_option | Set a serial port option.
shutdown_service | Destroy all user-defined handler objects owned by the service.
write_some | Write the given data to the stream.

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.